Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Interface Condition

All Known Implementing Classes:
  And, Available, Checksum, Contains, Equals, FilesMatch, Http, IsFalse, IsSet, IsTrue, Not, Or, Os, Socket, UpToDate

public interface Condition

Interface for conditions to use inside the <condition> task.

Version:
  $Revision: 1.3.2.1 $
Author:
  Stefan Bodewig

Method Summary
`boolean` | `eval()` Is this condition true?

Method Detail

### eval

    public boolean eval()
                 throws BuildException

  Is this condition true?

  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.